import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listQuantity(query) {
  return request({
    url: '/md/quantity/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getQuantity(brandOrderQuantityId) {
  return request({
    url: '/md/quantity/' + brandOrderQuantityId,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addQuantity(data) {
  return request({
    url: '/md/quantity',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateQuantity(data) {
  return request({
    url: '/md/quantity',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delQuantity(brandOrderQuantityId) {
  return request({
    url: '/md/quantity/' + brandOrderQuantityId,
    method: 'delete'
  })
}
//商品id下拉框
export function listAllbrand(){
  return request({
    url: '/mes/md/quantity/listBrand',
    method: 'get'
  })
}
// 查询品牌列表
export function listBrand(query) {
    return request({
      url: '/md/quantity/listBrand',
      method: 'get',
      params: query
    })
  }